    webiopi().ready(function() {
        // Create a "Light" labeled button for GPIO 18
        var button1 = webiopi().createGPIOButton(18, "Реле 1");
        var button2 = webiopi().createGPIOButton(23, "Реле 2");        
        var button3 = webiopi().createGPIOButton(24, "Реле 3");  	
        var button4 = webiopi().createGPIOButton(25, "Вкл/Выкл контроллеры RS485");  
		



        // Append button to HTML element with ID="controls" using jQuery
        $("#OUT1").append(button1);
        $("#OUT2").append(button2);
        $("#OUT3").append(button3);
        $("#OUT4").append(button4);
       
        // Refresh GPIO buttons
        // pass true to refresh repeatedly of false to refresh once
                webiopi().refreshGPIO(true);
    });

		setInterval ("callMacro_getEnergy()", 3000);{
		}
		function callMacro_getEnergy(){
			webiopi().callMacro("getEnergy", [], macro_getEnergy_Callback);
		}
		function macro_getEnergy_Callback(macro, args, data) {

		$("#energy").text((data/1000).toFixed(1)+" КВт*час");
		}

//==========================Сигнал тревоги по СМС==============================
	
// Go get the Data from the Python Macro getData
        function callMacro_getAlert(){
		webiopi().callMacro("getAlert", [], macro_getAlert_Callback);
		}
// Get the Data returned from the Python macro getData
		function macro_getAlert_Callback(macro, args, data) {
		}

//==========================Последняя смс с номера 111==============================
	
// Go get the Data from the Python Macro getData
		setInterval ("callMacro_getBalance()", 7000);{
		}
        function callMacro_getBalance(){
		webiopi().callMacro("getBalance", [], macro_getBalance_Callback);
		}
// Get the Data returned from the Python macro getData
		function macro_getBalance_Callback(macro, args, data) {
				
		$("#balance").text(data+" руб.");	
		}		

//==========================Запрос баланса на номер 111==============================
	
// Go get the Data from the Python Macro getData
		function callMacro_getSMSBalance(){
		webiopi().callMacro("getSMSBalance", [], macro_getSMSBalance_Callback);
		}
// Get the Data returned from the Python macro getData
		function macro_getSMSBalance_Callback(macro, args, data) {
		}		
		
//==========================ОПРОС ТЕМПЕРАТУРНЫХ ДАТЧИКОВ ==============================
//<==============================================================>		
		
// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getBMP085()", 5000);{
		}

// Go get the Data from the Python Macro getBMP085
        function callMacro_getBMP085(){
    	webiopi().callMacro("getBMP085", [], macro_getBMP085_Callback);
		}

// Get the Data returned from the Python macro getBMP085
		function macro_getBMP085_Callback(macro, args, data) {

		$("#pressure").text(data+" mmHg");
		}


		
		
// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getBMP085tmp()", 5000);{
		}	
		
// Go get the Data from the Python Macro getBMP085tmp
        function callMacro_getBMP085tmp(){
    	webiopi().callMacro("getBMP085tmp", [], macro_getBMP085tmp_Callback);
		}

// Get the Data returned from the Python macro getBMP085
		function macro_getBMP085tmp_Callback(macro, args, data) {

		$("#celsius").text("+"+data+"°C");
		}
		
		
//=============================DS18B20	
		
// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getCelsius_0()", 10000);{
		}	
		
// Go get the Data from the Python Macro getBMP085tmp
        function callMacro_getCelsius_0(){
    	webiopi().callMacro("getCelsius_0", [], macro_getCelsius_0_Callback);
		}

// Get the Data returned from the Python macro getBMP085
		function macro_getCelsius_0_Callback(macro, args, data) {

		$("#celsius_0").text("+"+data+"°C");
		}
	

//=============================DS18B20	
		
// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getCelsius_1()", 10000);{
		}	
		
		// Go get the Data from the Python Macro getBMP085tmp
        function callMacro_getCelsius_1(){
    	webiopi().callMacro("getCelsius_1", [], macro_getCelsius_1_Callback);
		}

// Get the Data returned from the Python macro getBMP085
		function macro_getCelsius_1_Callback(macro, args, data) {

		$("#celsius_1").text("+"+data+"°C");
		}

//==========================ОПРОС РАДИОКОНТРОЛЛЕРА ==============================
	
// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getRadio()", 5000);{
		}

// Go get the Data from the Python Macro getRadio
        function callMacro_getRadio(){
    	webiopi().callMacro("getRadio", [], macro_getRadio_Callback);
		}



// Get the Data returned from the Python macro getRadio
		function macro_getRadio_Callback(macro, args, data) {
		
		var a = JSON.parse(data);
		
			//myDiv0.innerHTML = a[0]

		if (a[0]==0){
			$("#int_1").css("color", "Green");
			$("#int_1").text("Норма");
			}
		else if (a[0]==1){
			$("#int_1").css("color", "Red");
			$("#int_1").text("Тревога");
			}			
		else {
			$("#int_1").text("Not Connected");	
			}
		
			//myDiv1.innerHTML = a[1]

		if (a[1]==0){
			$("#int_2").css("color", "Green");
			$("#int_2").text("Норма");
			}
		else if (a[1]==1){
			$("#int_2").css("color", "Red");
			$("#int_2").text("Тревога");
			}			
		else {
			$("#int_2").text("Not Connected");	
			}		
		
			//myDiv6.innerHTML = a[2]

		if (a[2]==0){
			$("#int_3").css("color", "Green");
			$("#int_3").text("Норма");
			}
		else if (a[2]==1){
			$("#int_3").css("color", "Red");
			$("#int_3").text("Тревога");
			}			
		else {
			$("#int_3").text("Not Connected");	
			}		
		
		
			//myDiv3.innerHTML = a[3]

		if (a[3]==0){
			$("#int_4").css("color", "Green");
			$("#int_4").text("Норма");
			}
		else if (a[3]==1){
			$("#int_4").css("color", "Red");
			$("#int_4").text("Тревога");
			}			
		else {
			$("#int_4").text("Not Connected");	
			}		
		
		
			//myDiv4.innerHTML = a[4]

		if (a[4]==0){
			$("#int_5").css("color", "Green");
			$("#int_5").text("Норма");
			}
		else if (a[4]==1){
			$("#int_5").css("color", "Red");
			$("#int_5").text("Тревога");
			}			
		else {
			$("#int_5").text("Not Connected");	
			}
			
			
			//myDiv5.innerHTML = a[5]

		if (a[5]==0){
			$("#int_6").css("color", "Green");
			$("#int_6").text("Норма");
			}
		else if (a[5]==1){
			$("#int_6").css("color", "Red");
			$("#int_6").text("Тревога");
			}			
		else {
			$("#int_6").text("Not Connected");	
			}


			//myDiv6.innerHTML = a[6]

		if (a[6]==0){
			$("#int_7").css("color", "Green");
			$("#int_7").text("Норма");
			}
		else if (a[6]==1){
			$("#int_7").css("color", "Red");
			$("#int_7").text("Тревога");
			}			
		else {
			$("#int_7").text("Not Connected");	
			}

			
			
			
			//myDiv7.innerHTML = a[7]

		if (a[7]==0){
			$("#int_8").css("color", "Green");
			$("#int_8").text("Норма");
			}
		else if (a[7]==1){
			$("#int_8").css("color", "Red");
			$("#int_8").text("Тревога");
			}			
		else {
			$("#int_8").text("Not Connected");	
			}



			//myDiv8.innerHTML = a[8]

		if (a[8]==0){
			$("#int_9").css("color", "Green");
			$("#int_9").text("Норма");
			}
		else if (a[8]==1){
			$("#int_9").css("color", "Red");
			$("#int_9").text("Тревога");
			}			
		else {
			$("#int_9").text("Not Connected");	
			}
			
			
			
			//myDiv9.innerHTML = a[9]

		if (a[9]==0){
			$("#int_10").css("color", "Green");
			$("#int_10").text("Норма");
			}
		else if (a[9]==1){
			$("#int_10").css("color", "Red");
			$("#int_10").text("Тревога");
			}			
		else {
			$("#int_10").text("Not Connected");	
			}
						
//=============================================
}

//==========================1 пульт 1 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_1_1(){
    		webiopi().callMacro("getTX_1_1", [], macro_getTX_1_1_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_1_1_Callback(macro, args, data) {
		}

//==========================1 пульт 2 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_1_2(){
    		webiopi().callMacro("getTX_1_2", [], macro_getTX_1_2_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_1_2_Callback(macro, args, data) {
		}

//==========================1 пульт 3 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_1_3(){
    		webiopi().callMacro("getTX_1_3", [], macro_getTX_1_3_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_1_3_Callback(macro, args, data) {
		}

//==========================1 пульт 4 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_1_4(){
    		webiopi().callMacro("getTX_1_4", [], macro_getTX_1_4_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_1_4_Callback(macro, args, data) {
		}

//==========================2 пульт 1 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_2_1(){
    		webiopi().callMacro("getTX_2_1", [], macro_getTX_2_1_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_2_1_Callback(macro, args, data) {
		}

//==========================2 пульт 2 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_2_2(){
    		webiopi().callMacro("getTX_2_2", [], macro_getTX_2_2_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_2_2_Callback(macro, args, data) {
		}

//==========================2 пульт 3 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_2_3(){
    		webiopi().callMacro("getTX_2_3", [], macro_getTX_2_3_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_2_3_Callback(macro, args, data) {
		}

//==========================2 пульт 4 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_2_4(){
    		webiopi().callMacro("getTX_2_4", [], macro_getTX_2_4_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_2_4_Callback(macro, args, data) {
		}

//==========================3 пульт 1 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_3_1(){
    		webiopi().callMacro("getTX_3_1", [], macro_getTX_3_1_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_3_1_Callback(macro, args, data) {
		}

//==========================3 пульт 2 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_3_2(){
    		webiopi().callMacro("getTX_3_2", [], macro_getTX_3_2_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_3_2_Callback(macro, args, data) {
		}

//==========================3 пульт 3 кнопка==============================

// Go get the Data from the Python Macro getData
            function callMacro_getTX_3_3(){
    		webiopi().callMacro("getTX_3_3", [], macro_getTX_3_3_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_3_3_Callback(macro, args, data) {
		}

//==========================3 пульт 4 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_3_4(){
    		webiopi().callMacro("getTX_3_4", [], macro_getTX_3_4_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_3_4_Callback(macro, args, data) {
		}

//==========================4 пульт 1 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_4_1(){
    		webiopi().callMacro("getTX_4_1", [], macro_getTX_4_1_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_4_1_Callback(macro, args, data) {
		}

//==========================4 пульт 2 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_4_2(){
    		webiopi().callMacro("getTX_4_2", [], macro_getTX_4_2_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_4_2_Callback(macro, args, data) {
		}

//==========================4 пульт 3 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_4_3(){
    		webiopi().callMacro("getTX_4_3", [], macro_getTX_4_3_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_4_3_Callback(macro, args, data) {
		}

//==========================4 пульт 4 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_4_4(){
    		webiopi().callMacro("getTX_4_4", [], macro_getTX_4_4_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_4_4_Callback(macro, args, data) {
		}

//==========================5 пульт 1 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_5_1(){
    		webiopi().callMacro("getTX_5_1", [], macro_getTX_5_1_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_5_1_Callback(macro, args, data) {
		}

//==========================5 пульт 2 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_5_2(){
    		webiopi().callMacro("getTX_5_2", [], macro_getTX_5_2_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_5_2_Callback(macro, args, data) {
		}

//==========================5 пульт 3 кнопка==============================

// Go get the Data from the Python Macro getData
            function callMacro_getTX_5_3(){
    		webiopi().callMacro("getTX_5_3", [], macro_getTX_5_3_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_5_3_Callback(macro, args, data) {
		}

//==========================5 пульт 4 кнопка==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getTX_5_4(){
    		webiopi().callMacro("getTX_5_4", [], macro_getTX_5_4_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getTX_5_4_Callback(macro, args, data) {
		}

//==========================СБРОС ТРЕВОГИ ==============================
	
// Go get the Data from the Python Macro getData
            function callMacro_getReset(){
    		webiopi().callMacro("getReset", [], macro_getReset_Callback);
		}
// Get the Data returned from the Python macro getData
			function macro_getReset_Callback(macro, args, data) {
		}

//==========================ОПРОС 4-Х КАНАЛЬНОГО КОНТРОЛЛЕРА ==============================	


// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getControl1()", 2000);{
		}

// Go get the Data from the Python Macro getRadio
        function callMacro_getControl1(){
    	webiopi().callMacro("getControl1", [], macro_getControl1_Callback);
		}



// Get the Data returned from the Python macro getRadio
		function macro_getControl1_Callback(macro, args, data) {
		

//Parse data from python macro gerData
		
		var b = JSON.parse(data);
		
//myDiv0.innerHTML = b[0]
		
		if (b[0]==1){
			$("#in_1").css("color", "Red");
			$("#in_1").text("Открыто");
			}
		else if (b[0]==0){
			$("#in_1").css("color", "Green");
			$("#in_1").text("Закрыто");
			}
		
		else {
			$("#in_1").css("color", "Gray");
			$("#in_1").text("Not connected");
			}
		
			
//myDiv1.innerHTML = b[1]

		if (b[1]==1){
			$("#in_2").css("color", "Red");
			$("#in_2").text("Открыто");
			}
		else if (b[1]==0){
			$("#in_2").css("color", "Green");
			$("#in_2").text("Закрыто");
			}
		
		else {
			$("#in_2").css("color", "Gray");
			$("#in_2").text("Not connected");
			}
					

//myDiv2.innerHTML = b[2]

		if (b[2]==1){
			$("#in_3").css("color", "Red");
			$("#in_3").text("Открыто");
			}
		else if (b[2]==0){
			$("#in_3").css("color", "Green");
			$("#in_3").text("Закрыто");
			}
		
		else {
			$("#in_3").css("color", "Gray");
			$("#in_3").text("Not connected");
			}	


//myDiv3.innerHTML = b[3]

		if (b[3]==1){
			$("#in_4").css("color", "Red");
			$("#in_4").text("Открыто");
			}
		else if (b[3]==0){
			$("#in_4").css("color", "Green");
			$("#in_4").text("Закрыто");
			}
		
		else {
			$("#in_4").css("color", "Gray");
			$("#in_4").text("Not connected");
			}


//myDiv4.innerHTML = b[4]
			
		if (b[4]==0){
			$("#out_1").css("color", "Green");
			$("#out_1").text("Первое реле Отключено");
			}
		else if (b[4]==1){
			$("#out_1").css("color", "Red");
			$("#out_1").text("Первое реле Включено");
			}
		
		else {
			$("#out_1").css("background-color", "Gray");
			$("#out_1").text("");
			}


//myDiv5.innerHTML = b[5]
			
		if (b[5]==0){
			$("#out_2").css("color", "Green");
			$("#out_2").text("Второе реле Отключено");
			}
		else if (b[5]==1){
			$("#out_2").css("color", "Red");
			$("#out_2").text("Второе реле Включено");
			}
		
		else {
			$("#out_2").css("background-color", "Gray");
			$("#out_2").text("");
			}

			
			
//myDiv6.innerHTML = b[6]
			
		if (b[6]==0){
			$("#out_3").css("color", "Green");
			$("#out_3").text("Третье реле Отключено");
			}
		else if (b[6]==1){
			$("#out_3").css("color", "Red");
			$("#out_3").text("Третье реле Включено");
			}
		
		else {
			$("#out_3").css("background-color", "Gray");
			$("#out_3").text("");
			}	
			
			
//myDiv7.innerHTML = b[7]
			
		if (b[7]==0){
			$("#out_4").css("color", "Green");
			$("#out_4").text("Четвертое реле Отключено");
			}
		else if (b[7]==1){
			$("#out_4").css("color", "Red");
			$("#out_4").text("Четвертое реле Включено");
			}
		
		else {
			$("#out_4").css("background-color", "Gray");
			$("#out_4").text("");
			}
			

			temp1 = b[8]
			temp2 = b[9]
			znak = b[10]
			
			
					//знак градуса

	if (znak == 0) {
		
		$("#temp1").text("+"+b[8]+"°C");
		$("#temp1").css("color", "Red");
        }

    else if (znak == 1) {
		
        $("#temp1").text(""+b[8]+"°C");
		$("#temp1").css("color", "Blue");
        }	
			
		
		$("#humid1").text(b[9]+"%");
}




//==========================УПРАВЛЕНИЕ 4-Х КАНАЛЬНЫМ КОНТРОЛЛЕРОМ ==============================

//==========================ВКЛЮЧИТЬ КАНАЛ 1==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch1_on(){
    		webiopi().callMacro("getContr1_ch1_on", [], macro_getContr1_ch1_on_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch1_on_Callback(macro, args, data) {
		}


//==========================ВЫКЛЮЧИТЬ КАНАЛ 1==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch1_off(){
    		webiopi().callMacro("getContr1_ch1_off", [], macro_getContr1_ch1_off_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch1_off_Callback(macro, args, data) {
		}

//==========================ВКЛЮЧИТЬ КАНАЛ 2==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch2_on(){
    		webiopi().callMacro("getContr1_ch2_on", [], macro_getContr1_ch2_on_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch2_on_Callback(macro, args, data) {
		}

//==========================ВЫКЛЮЧИТЬ КАНАЛ 2==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch2_off(){
    		webiopi().callMacro("getContr1_ch2_off", [], macro_getContr1_ch2_off_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch2_off_Callback(macro, args, data) {
		}

//==========================ВКЛЮЧИТЬ КАНАЛ 3==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch3_on(){
    		webiopi().callMacro("getContr1_ch3_on", [], macro_getContr1_ch3_on_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch3_on_Callback(macro, args, data) {
		}
	
//==========================ВЫКЛЮЧИТЬ КАНАЛ 3==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch3_off(){
    		webiopi().callMacro("getContr1_ch3_off", [], macro_getContr1_ch3_off_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch3_off_Callback(macro, args, data) {
		}

//==========================ВКЛЮЧИТЬ КАНАЛ 4==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch4_on(){
    		webiopi().callMacro("getContr1_ch4_on", [], macro_getContr1_ch4_on_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch4_on_Callback(macro, args, data) {
		}
	
//==========================ВЫКЛЮЧИТЬ КАНАЛ 4==============================

	// Go get the Data from the Python Macro getData
            function callMacro_getContr1_ch4_off(){
    		webiopi().callMacro("getContr1_ch4_off", [], macro_getContr1_ch4_off_Callback);
		}

	// Get the Data returned from the Python macro getData
			function macro_getContr1_ch4_off_Callback(macro, args, data) {
		}




//==========================ПОЛУЧЕНИЕ СОСТОЯНИЯ ТЕМПЕРАТУРЫ==============================				
		// Every 5000ms (5 seconds) Call the function to go get the data from Python
		setInterval ("callMacro_getData()", 10000);{
		}

		// Go get the Data from the Python Macro getData
              function callMacro_getData(){
    			webiopi().callMacro("getData", [], macro_getData_Callback);
		}

		// Get the Data returned from the Python macro getData
		function macro_getData_Callback(macro, args, data) {
		
		
//Parse data from python macro gerData
		
	var i = JSON.parse(data);

		
		$("#myDiv1").text(i[1]+"%");
		$("#myDiv2").text("+"+i[2]+"°C");
		$("#myDiv3").text(i[3]+"%");
		$("#myDiv4").text("+"+i[4]+"°C");
		$("#myDiv5").text(i[5]+"%");
		$("#myDiv6").text("+"+i[6]+"°C");
		$("#myDiv7").text(i[7]+"%");
		$("#myDiv8").text("+"+i[8]+"°C");
		$("#myDiv9").text(i[9]+"%");
		$("#myDiv10").text("+"+i[10]+"°C");
		$("#myDiv11").text(i[11]+"%");
		
		znak = i[12]				//знак градуса

	if (znak == 0) {
		
		$("#myDiv0").text("+"+i[0]+"°C");
		$("#myDiv0").css("color", "Red");
        }

    else if (znak == 1) {
		
        $("#myDiv0").text("-"+i[0]+"°C");
		$("#myDiv0").css("color", "Blue");
        }}
